Method: projects.locations.dataStores.branches.list

列出指定上層 DataStore 下的所有 Branch。

HTTP 要求


GET https://discoveryengine.googleapis.com/v1alpha/{parent=projects/*/locations/*/dataStores/*}/branches

這些網址使用 gRPC 轉碼語法。

路徑參數

參數
parent

string

這是必要旗標,父項資料儲存庫資源名稱。

查詢參數

參數
view

enum (BranchView)

要套用至傳回 Branch 的檢視畫面。如未指定,預設為 BranchView.BRANCH_VIEW_BASIC。

要求主體

要求主體必須為空白。

回應主體

如果成功,回應主體會包含 ListBranchesResponse 的執行個體。

授權範圍

需要下列其中一種 OAuth 範圍:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

詳情請參閱Authentication Overview。

IAM 權限

需要 parent 資源的下列 IAM 權限:

  • discoveryengine.branches.list

詳情請參閱 IAM 說明文件。